Individual Categorization Hierarchy

Get available B2C/B2B categories and feature metadata for a tenant

Individual Categorization Hierarchy

Returns customer category options used before registration.

Endpoint

GET /api/v2.1/customer/individual/categorization/hierarchy/{tenantId}

Path Parameters

tenantId string path required

Tenant UUID. Example: 97e7ff29-15f3-49ef-9681-3bbfcce4f6cd

Required Headers

X-Forwarded-For string required

Client source IP (runner default: 127.0.0.1)

X-Tenant-ID string required

Tenant identifier

X-Forwarded-From string required

Client source identifier (runner default: integration-client)

platform string required

Client platform (runner default: web)

deviceId string required

Device identifier (runner default: integration-device)

Authorization string required

Bearer token

Example

cURL
bash
curl -X GET "https://sandbox.finhub.cloud/api/v2.1/customer/individual/categorization/hierarchy/97e7ff29-15f3-49ef-9681-3bbfcce4f6cd" \
  -H "X-Tenant-ID: 97e7ff29-15f3-49ef-9681-3bbfcce4f6cd" \
  -H "Authorization: Bearer YOUR_ADMIN_TOKEN"

Success Response

200
json
{
  "code": 200,
  "data": {
    "tenantId": "97e7ff29-15f3-49ef-9681-3bbfcce4f6cd",
    "categories": {
      "INDIVIDUAL_STANDARD": {
        "databaseId": "fs-cat-b2c-low-001",
        "categoryName": "Individual Standard"
      },
      "B2B_SMALL_BUSINESS": {
        "databaseId": "fs-cat-b2b-small-001",
        "categoryName": "Small Business"
      }
    }
  },
  "message": "Success"
}

Type to search…

↑↓ navigate open esc close